-- MySQL Script generated by MySQL Workbench
-- Sat Jan 16 03:51:40 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema sga
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `sga` ;

-- -----------------------------------------------------
-- Schema sga
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `sga` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci ;
USE `sga` ;

-- -----------------------------------------------------
-- Table `estudiante`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `estudiante` ;

CREATE TABLE IF NOT EXISTS `estudiante` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `apellido` VARCHAR(45) NULL DEFAULT NULL,
  `dni` VARCHAR(45) NULL DEFAULT NULL,
  `fecnacimiento` VARCHAR(45) NULL DEFAULT NULL,
  `edad` VARCHAR(45) NULL DEFAULT NULL,
  `direccion` VARCHAR(450) NULL DEFAULT NULL,
  `telefono` VARCHAR(45) NULL DEFAULT NULL,
  `correo` VARCHAR(45) NULL DEFAULT NULL,
  `estado` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 24
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `colegio`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `colegio` ;

CREATE TABLE IF NOT EXISTS `colegio` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `codModular` VARCHAR(450) NULL,
  `nombre` VARCHAR(450) NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `traslado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `traslado` ;

CREATE TABLE IF NOT EXISTS `traslado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `resolucion` VARCHAR(450) NULL,
  `url` VARCHAR(450) NULL,
  `fecMatricula` DATE NULL,
  `nivel` VARCHAR(45) NULL,
  `grado` VARCHAR(45) NULL,
  `anio` VARCHAR(45) NULL,
  `esatado` VARCHAR(45) NULL,
  `created_at` TIMESTAMP NULL,
  `updated_at` TIMESTAMP NULL,
  `estudiante_id` INT NOT NULL,
  `colegio_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_traslado_estudiante`
    FOREIGN KEY (`estudiante_id`)
    REFERENCES `sga`.`estudiante` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_traslado_colegio1`
    FOREIGN KEY (`colegio_id`)
    REFERENCES `colegio` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

CREATE INDEX `fk_traslado_estudiante_idx` ON `traslado` (`estudiante_id` ASC) VISIBLE;

CREATE INDEX `fk_traslado_colegio1_idx` ON `traslado` (`colegio_id` ASC) VISIBLE;



-- -----------------------------------------------------
-- Table `tipoanioescolar`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tipoanioescolar` ;

CREATE TABLE IF NOT EXISTS `tipoanioescolar` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `tipoanio` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 5
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `anioescolar`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `anioescolar` ;

CREATE TABLE IF NOT EXISTS `anioescolar` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(450) NULL DEFAULT NULL,
  `descripcion` VARCHAR(450) NULL DEFAULT NULL,
  `fecinicio` DATE NULL DEFAULT NULL,
  `fecfin` DATE NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `tipoanioescolar_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_anioescolar_tipoanioescolar1`
    FOREIGN KEY (`tipoanioescolar_id`)
    REFERENCES `tipoanioescolar` (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 5
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_anioescolar_tipoanioescolar1_idx` ON `anioescolar` (`tipoanioescolar_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `apoderado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `apoderado` ;

CREATE TABLE IF NOT EXISTS `apoderado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `apellido` VARCHAR(45) NULL DEFAULT NULL,
  `fecnacimiento` DATE NULL DEFAULT NULL,
  `edad` INT NULL DEFAULT NULL,
  `dni` CHAR(8) NULL DEFAULT NULL,
  `direccion` VARCHAR(450) NULL DEFAULT NULL,
  `telefono` VARCHAR(45) NULL DEFAULT NULL,
  `correo` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 23
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `asistencia`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `asistencia` ;

CREATE TABLE IF NOT EXISTS `asistencia` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `fecha` DATE NULL DEFAULT NULL,
  `hora` TIME NULL DEFAULT NULL,
  `estado` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `cursos`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `cursos` ;

CREATE TABLE IF NOT EXISTS `cursos` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `horaasignada` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 9
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `users`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `users` ;

CREATE TABLE IF NOT EXISTS `users` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(45) NULL DEFAULT NULL,
  `password` VARCHAR(450) NULL DEFAULT NULL,
  `email` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 4
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `empleado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `empleado` ;

CREATE TABLE IF NOT EXISTS `empleado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `apellido` VARCHAR(45) NULL DEFAULT NULL,
  `dni` VARCHAR(45) NULL DEFAULT NULL,
  `telefono` VARCHAR(45) NULL DEFAULT NULL,
  `direccion` VARCHAR(45) NULL DEFAULT NULL,
  `genero` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `users_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_empleado_users`
    FOREIGN KEY (`users_id`)
    REFERENCES `users` (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 2
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_empleado_users_idx` ON `empleado` (`users_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `grado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `grado` ;

CREATE TABLE IF NOT EXISTS `grado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 20
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `curso_grado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `curso_grado` ;

CREATE TABLE IF NOT EXISTS `curso_grado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `detalle` VARCHAR(450) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `cursos_id` INT NOT NULL,
  `grado_id` INT NOT NULL,
  `empleado_id` INT NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_curso_grado_cursos1`
    FOREIGN KEY (`cursos_id`)
    REFERENCES `cursos` (`id`),
  CONSTRAINT `fk_curso_grado_empleado1`
    FOREIGN KEY (`empleado_id`)
    REFERENCES `empleado` (`id`),
  CONSTRAINT `fk_curso_grado_grado1`
    FOREIGN KEY (`grado_id`)
    REFERENCES `grado` (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 8
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_curso_grado_cursos1_idx` ON `curso_grado` (`cursos_id` ASC) VISIBLE;

CREATE INDEX `fk_curso_grado_grado1_idx` ON `curso_grado` (`grado_id` ASC) VISIBLE;

CREATE INDEX `fk_curso_grado_empleado1_idx` ON `curso_grado` (`empleado_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `parentezco`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `parentezco` ;

CREATE TABLE IF NOT EXISTS `parentezco` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `parentezco` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 6
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `estudiante_apoderado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `estudiante_apoderado` ;

CREATE TABLE IF NOT EXISTS `estudiante_apoderado` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `detalle` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `apoderado_id` INT NOT NULL,
  `estudiante_id` INT NOT NULL,
  `parentezco_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_estudiante_apoderado_apoderado`
    FOREIGN KEY (`apoderado_id`)
    REFERENCES `apoderado` (`id`),
  CONSTRAINT `fk_estudiante_apoderado_estudiante1`
    FOREIGN KEY (`estudiante_id`)
    REFERENCES `estudiante` (`id`),
  CONSTRAINT `fk_estudiante_apoderado_parentezco1`
    FOREIGN KEY (`parentezco_id`)
    REFERENCES `parentezco` (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 23
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_estudiante_apoderado_apoderado_idx` ON `estudiante_apoderado` (`apoderado_id` ASC) VISIBLE;

CREATE INDEX `fk_estudiante_apoderado_estudiante1_idx` ON `estudiante_apoderado` (`estudiante_id` ASC) VISIBLE;

CREATE INDEX `fk_estudiante_apoderado_parentezco1_idx` ON `estudiante_apoderado` (`parentezco_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `evaluacion`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `evaluacion` ;

CREATE TABLE IF NOT EXISTS `evaluacion` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nota` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `cursos_id` INT NOT NULL,
  `estudiante_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_evaluacion_cursos1`
    FOREIGN KEY (`cursos_id`)
    REFERENCES `cursos` (`id`),
  CONSTRAINT `fk_evaluacion_estudiante1`
    FOREIGN KEY (`estudiante_id`)
    REFERENCES `estudiante` (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_evaluacion_cursos1_idx` ON `evaluacion` (`cursos_id` ASC) VISIBLE;

CREATE INDEX `fk_evaluacion_estudiante1_idx` ON `evaluacion` (`estudiante_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `seccion`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `seccion` ;

CREATE TABLE IF NOT EXISTS `seccion` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 11
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `grado_seccion`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `grado_seccion` ;

CREATE TABLE IF NOT EXISTS `grado_seccion` (
  `grado_id` INT NOT NULL,
  `seccion_id` INT NOT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`grado_id`, `seccion_id`),
  CONSTRAINT `fk_grado_has_seccion_grado1`
    FOREIGN KEY (`grado_id`)
    REFERENCES `grado` (`id`),
  CONSTRAINT `fk_grado_has_seccion_seccion1`
    FOREIGN KEY (`seccion_id`)
    REFERENCES `seccion` (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_grado_has_seccion_seccion1_idx` ON `grado_seccion` (`seccion_id` ASC) VISIBLE;

CREATE INDEX `fk_grado_has_seccion_grado1_idx` ON `grado_seccion` (`grado_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `tipoperiodo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `tipoperiodo` ;

CREATE TABLE IF NOT EXISTS `tipoperiodo` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `duracion` VARCHAR(45) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 2
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `periodo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `periodo` ;

CREATE TABLE IF NOT EXISTS `periodo` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `nombre` VARCHAR(45) NULL DEFAULT NULL,
  `duracuion` VARCHAR(45) NULL DEFAULT NULL,
  `tipoperiodo_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_periodo_tipoperiodo1`
    FOREIGN KEY (`tipoperiodo_id`)
    REFERENCES `tipoperiodo` (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 4
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_periodo_tipoperiodo1_idx` ON `periodo` (`tipoperiodo_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `matricula`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `matricula` ;

CREATE TABLE IF NOT EXISTS `matricula` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  `estudiante_id` INT NOT NULL,
  `grado_id` INT NOT NULL,
  `periodo_id` INT NOT NULL,
  `anioescolar_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `fk_matricula_anioescolar1`
    FOREIGN KEY (`anioescolar_id`)
    REFERENCES `anioescolar` (`id`),
  CONSTRAINT `fk_matricula_estudiante1`
    FOREIGN KEY (`estudiante_id`)
    REFERENCES `estudiante` (`id`),
  CONSTRAINT `fk_matricula_grado1`
    FOREIGN KEY (`grado_id`)
    REFERENCES `grado` (`id`),
  CONSTRAINT `fk_matricula_periodo1`
    FOREIGN KEY (`periodo_id`)
    REFERENCES `periodo` (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 3
DEFAULT CHARACTER SET = utf8;

CREATE INDEX `fk_matricula_estudiante1_idx` ON `matricula` (`estudiante_id` ASC) VISIBLE;

CREATE INDEX `fk_matricula_grado1_idx` ON `matricula` (`grado_id` ASC) VISIBLE;

CREATE INDEX `fk_matricula_periodo1_idx` ON `matricula` (`periodo_id` ASC) VISIBLE;

CREATE INDEX `fk_matricula_anioescolar1_idx` ON `matricula` (`anioescolar_id` ASC) VISIBLE;


-- -----------------------------------------------------
-- Table `nivel`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `nivel` ;

CREATE TABLE IF NOT EXISTS `nivel` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(450) NULL DEFAULT NULL,
  `detalle` VARCHAR(450) NULL DEFAULT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
AUTO_INCREMENT = 4
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;


-- -----------------------------------------------------
-- Table `nivel_grado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `nivel_grado` ;

CREATE TABLE IF NOT EXISTS `nivel_grado` (
  `nivel_id` INT NOT NULL,
  `grado_id` INT NOT NULL,
  `created_at` TIMESTAMP NULL DEFAULT NULL,
  `updated_at` TIMESTAMP NULL DEFAULT NULL,
  PRIMARY KEY (`nivel_id`, `grado_id`),
  CONSTRAINT `fk_nivel_has_grado_grado1`
    FOREIGN KEY (`grado_id`)
    REFERENCES `grado` (`id`),
  CONSTRAINT `fk_nivel_has_grado_nivel`
    FOREIGN KEY (`nivel_id`)
    REFERENCES `nivel` (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4
COLLATE = utf8mb4_0900_ai_ci;

CREATE INDEX `fk_nivel_has_grado_grado1_idx` ON `nivel_grado` (`grado_id` ASC) VISIBLE;

CREATE INDEX `fk_nivel_has_grado_nivel_idx` ON `nivel_grado` (`nivel_id` ASC) VISIBLE;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
